summaryrefslogtreecommitdiffstats
path: root/docker
diff options
context:
space:
mode:
authorMarco Marinello <marinello@libreoffice.org>2020-02-25 21:46:04 +0100
committerThorsten Behrens <Thorsten.Behrens@CIB.de>2020-03-02 01:53:29 +0100
commit11c12a2729dcaccdcc84bc94a1a250fa124159c2 (patch)
tree452be773de513ea999dd79b90d0f46ced266d07c /docker
parentandroid: Handle the loading progress directly in the app. (diff)
downloadonline-11c12a2729dcaccdcc84bc94a1a250fa124159c2.tar.gz
online-11c12a2729dcaccdcc84bc94a1a250fa124159c2.zip
Variabilize online git source
Signed-off-by: Marco Marinello <marinello@libreoffice.org> Change-Id: If8f9103972952b98193ca6d1501844422b8aae54 Reviewed-on: https://gerrit.libreoffice.org/c/online/+/89483 Tested-by: Thorsten Behrens <Thorsten.Behrens@CIB.de> Reviewed-by: Thorsten Behrens <Thorsten.Behrens@CIB.de>
Diffstat (limited to 'docker')
-rwxr-xr-xdocker/l10n-docker-nightly.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 598282e945..96d5a9be86 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -9,6 +9,7 @@
# * DOCKER_HUB_REPO - which Docker Hub repo to use
# * DOCKER_HUB_TAG - which Docker Hub tag to create
# * LIBREOFFICE_BRANCH - which branch to build in core
+# * LIBREOFFICE_ONLINE_REPO - which git repo to clone online from
# * LIBREOFFICE_ONLINE_BRANCH - which branch to build in online
# * LIBREOFFICE_BUILD_TARGET - which make target to run (in core repo)
# * ONLINE_EXTRA_BUILD_OPTIONS - extra build options for online
@@ -47,6 +48,11 @@ if [ -z "$LIBREOFFICE_BUILD_TARGET" ]; then
fi;
echo "LibreOffice build target: '$LIBREOFFICE_BUILD_TARGET'"
+if [ -z "$LIBREOFFICE_ONLINE_REPO" ]; then
+ LIBREOFFICE_ONLINE_REPO="https://git.libreoffice.org/online"
+fi;
+echo "LibreOffice build target: '$LIBREOFFICE_BUILD_TARGET'"
+
# do everything in the builddir
SRCDIR=$(realpath `dirname $0`)
INSTDIR="$SRCDIR/instdir"
@@ -69,7 +75,7 @@ fi
# online repo
if test ! -d online ; then
- git clone https://git.libreoffice.org/online online || exit 1
+ git clone "$LIBREOFFICE_ONLINE_REPO" online || exit 1
fi
( cd online && git fetch --all && git checkout -f $LIBREOFFICE_ONLINE_BRANCH && git clean -f -d && git pull -r ) || exit 1